Subject: Re: bug#54947: 29.0.50; Emacs does not invoke doc view to open odf files

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Apr 2022 10:41:19 +0300

> From: Raoul Comninos <[email-masked]>
> Date: Fri, 15 Apr 2022 09:28:35 +0200
> 
> When I try to open an odt file in Emacs I get this error:
> 
> File mode specification error: (error Conflicting types: name says (odf)
> but content says (epub))
> 
> This is despite the fact that I have this in my init file:
> 
> (add-to-list 'auto-mode-alist '("\\.odt\\'" . doc-view-mode))

I cannot reproduce this.  I'm guessing some other customization, or
maybe some package you load, is involved.  Please see which other
factors affect this, and please post a recipe that can be used to
reproduce this problem starting from "emacs -Q" (if some packages need
to be loaded, please make that part of the recipe).

Thanks.